From: Funda Wang <fwang@mandriva.org>
Date: Fri, 22 Dec 2017 17:32:02 +0100
Subject: fix str fmt
Origin: http://carroll.cac.psu.edu/pub/linux/distributions/mandrivalinux/devel/2012/SRPMS/contrib/release/sunclock-3.56-4mdv2011.0.src.rpm

--- a/readvmf.c
+++ b/readvmf.c
@@ -508,7 +508,7 @@ struct Sundata * Context;
      ret_value = 5;
      goto abort;
   }
-  if (reformat) printf(str);
+  if (reformat) printf("%s",str);
 
   k = 0;
   num_colors = 0;
--- a/widgets.c
+++ b/widgets.c
@@ -818,13 +818,13 @@ char *hint;
 	if (key == '=')
 	    sprintf(more+2, "(%c)", (do_sync)? '+' : '-');
 	if (key == '[' && do_root <= 0)
-	    sprintf(more+2, Label[L_ONCE]);
+	    sprintf(more+2, "%s", Label[L_ONCE]);
 	if (key == '[' && do_root >= 1)
 	    sprintf(more+2, Label[L_PERIODIC], root_period);
 	if (key == ']' && do_root <= 0)
-	    sprintf(more+2, Label[L_BLANKSCREEN]);
+	    sprintf(more+2, "%s", Label[L_BLANKSCREEN]);
 	if (key == ']' && do_root >= 1)
-	    sprintf(more+2, Label[L_STARRYSKY]);
+	    sprintf(more+2, "%s", Label[L_STARRYSKY]);
         if (more[2])
 	   strncat(hint, more, 120 - strlen(hint));
         l = strlen(hint);
